﻿Type=StaticCode
Version=1.50
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'true means that the brick is still active
	Dim BricksStatus(,) As Boolean
	Dim numX, numY As Int
	Dim BrickRect As Rect
	Dim BrickWidth, BrickHeight As Int
	Dim LiveBricksCount As Int
End Sub
Sub Reset(width As Int, height As Int, Drawers As DrawerType)
	numX = 10
	numY = 4
	LiveBricksCount = numX * numY
	BrickWidth = width / numX
	BrickHeight = height / numY
	BrickRect.Initialize(0, 0, BrickWidth, BrickHeight)
	Dim BricksStatus(numX, numY) As Boolean
	'draw the bricks
	For x = 0 To numX - 1
		BrickRect.Left = x * BrickWidth
		BrickRect.Right = BrickRect.Left + BrickWidth
		For y = 0 To numY - 1
			BricksStatus(x, y) = True
			BrickRect.Top = y * BrickHeight
			BrickRect.Bottom = BrickRect.Top + BrickHeight
			Drawers.canvasMain.DrawRect(BrickRect, Colors.RGB(Rnd(0, 255), Rnd(0, 255), Rnd(0, 255)), True, 0)
		Next
	Next
End Sub
Sub BreakBrick(x As Int, y As Int, Drawers As DrawerType) As Boolean
	LiveBricksCount = LiveBricksCount - 1
	Main.sounds.Play(Main.breakId, 1, 1, 1, 0, 1.5)
	BricksStatus(x, y) = False
	BrickRect.Left = x * BrickWidth
	BrickRect.Right = BrickRect.Left + BrickWidth
	BrickRect.Top = y * BrickHeight
	BrickRect.Bottom = BrickRect.Top + BrickHeight
	'erase the brick
	Drawers.canvasMain.DrawRect(BrickRect, Colors.Transparent, True, 0)
	Drawers.pnlMain.Invalidate2(BrickRect)
	If LiveBricksCount = 0 Then
		CallSub2("Main", "GameOver", "Well done!")
		Return True
	End If
	Return False
End Sub
